# hey Emacs, its -*- rpm-spec -*-
# $Id: php-gd,v 1.5 2002/03/27 16:58:50 ab Exp $
###############################################################
# This SPEC file is a configurable skeleton for PHP modules
# which are distributed with PHP4 tarball.
# Copyright (c) 2001 Alexander Bokovoy <ab@avilink.net>
# This SPEC file is available under terms of GNU GPL license
# versions 2 or greater
###############################################################
#  <Configuration>
#_/---------------\____________________________________________
# Package should be added into mod_php and/or console php?
# Some modules can be used under both, others (like php_gtk
# or midgard) are not.
%set_verify_elf_method relaxed
%define use_mod_php	1
%define use_con_php	1
#
# Package name without php prefix
%define package_name	gd
# GD library version
%define gd_ver	1
###############################################################

Name: php-%package_name%gd_ver
Version: 4.3.0
Release: alt1.cvs20030207

Summary: GD library support for PHP4
Group: System/Servers
Requires: libgd%gd_ver, t1lib, freetype2, libjpeg, libpng, xpm
License: PHP Licence
PreReq: php-common >= %version-%release, perl
%add_serial php-devel
Conflicts: php-gd2, php-gd
Obsoletes: mod_php3-gd, mod_php-gd, php-gd


# Automatically added by buildreq on Tue Oct 29 2002
BuildRequires: XFree86-devel freetype freetype2-devel glibc-devel-static 
BuildRequires: libgd%gd_ver-devel libjpeg-devel libpng-devel php-common php-devel 
BuildRequires: t1lib-devel xpm-devel zlib-devel

%description
The php-%package_name includes a dynamic shared object (DSO) that adds
GD support to PHP4. GD is a library that enables you to create PNG,
JPEG, XPM, and WBMP graphics. It is linked with freetype and t1lib so
you can use TrueType fonts. PHP4 is an HTML-embedded scripting language.
If you need GD support for PHP4 applications, you will need to install
this package in addition to the php package.

%prep
%setup -T -c
cp -pr %_usrsrc/php-devel/extensions/%package_name/* .

%build
# Fix includes so that local config header file will always supercede global options
#for j in `ls *.c` ; do
#    perl -pi -e "s/#include \"php.h\"/#include \"php.h\"
#include \"config.h\"/" $j
#done
phpize

BUILD_HAVE=`echo %package_name | tr '[:lower:]-' '[:upper:]_'`
CFLAGS="%optflags -fPIC -L%_libdir"
#" -DHAVE_${BUILD_HAVE}=1 -DCOMPILE_DL_${BUILD_HAVE}=1";
export CFLAGS
export LIBS="$LIBS -lm"
export LD_LIBRARY_PATH="$LD_LIBRARY_PATH:%_libdir"
%configure \
	--with-%package_name=%_prefix \
	--enable-gd-native-ttf \
	--with-jpeg-dir=%_prefix \
	--with-xpm-dir=%_prefix/X11R6 \
	--with-t1lib \
	--with-ttf=%_prefix \
	--with-png-dir=%_prefix \
	--with-zlib-dir=%_prefix \
	--with-freetype-dir=%_prefix

%php_make 

%install
%php_make install

%files
%_libdir/php/extensions/*
%doc CREDITS

%post
%php_postin

%preun
%php_preun

%postun
%php_postun

%changelog
* Wed Jul 14 2004 Alexey Gladkov <legion@altlinux.ru> 1:4.3.0-alt1.cvs20030207
- Security rebuild.

* Mon Feb 03 2003 Alexey Gladkov <legion@altlinux.ru> 1:4.3.0-alt0.cvs20030207
- PHP 4.3.0-dev CVS-20030207
- Bugfixes

* Fri Nov 01 2002 Aleksandr Blokhin 'Sass' <sass@altlinux.ru> 1:4.2.3-alt4.1
- updated Requires

* Sun Oct 27 2002 Alexey Gladkov <legion@altlinux.ru> 1:4.2.3-alt4
- PHP 4.2.3
- build with gcc 3.2
- SPEC file small modification

* Wed Mar 27 2002 Alexander Bokovoy <ab@altlinux.ru> 1:4.1.2-alt3
- Fixed:
    + sendmail detection in BTE forced to be unconditional (closes #0000751)

* Fri Mar 15 2002 Alexander Bokovoy <ab@altlinux.ru> 4.1.2-alt2
- Added:
    + Security audit patch from phpaudit.42-networks.com, 
      fixes multiple (theoretical) buffer overflows fixes
- post install script fixed

* Wed Feb 27 2002 Alexander Bokovoy <ab@altlinux.ru> 4.1.2-alt1
- PHP 4.1.2
- Spec cleanups

* Fri Oct 12 2001 Dmitry V. Levin <ldv@altlinux.ru> 4.0.6-alt1.1
- Make use of get_version/get_release macros.
- Rebuilt with libpng.so.3

* Thu Sep 27 2001 Alexander Bokovoy <ab@altlinux.ru> 4.0.6-alt1
- PHP 4.0.6
- Bugfixes

* Tue Jun 05 2001 Alexander Bokovoy <ab@altlinux.ru> 4.0.6-alt0.3RC2
- Release candidate 2 for PHP 4.0.6

* Mon May 28 2001 Alexander Bokovoy <ab@altlinux.ru> 4.0.6-alt0.2RC1
- Fix for build environment rolled back due final fix in PHP4 itself

* Tue May 22 2001 Alexander Bokovoy <ab@altlinux.ru> 4.0.6-alt0.1RC1
- First release candidate for 4.0.6

* Thu Apr 05 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5.RC6-alt1
- ALTification
- Last release candidate for 4.0.5
- SPEC file changes:
    + Reference to PHP source removed, php-devel is used to acquire sources of module
    + locale-specific info unset during installation
    + nosrc -> src because NoSource tag cannot be used without corresponding Source one

* Sat Mar 17 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5-ipl1
- First stable build

* Thu Mar 15 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5-ipl0.4
- Rebuild against fixed PHP 4.0.5.RC1-ipl3mdk

* Sun Mar 11 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5-ipl0.3
- Fixed:
    + Build process for self-contained shared modules in PHP is generally broken,
      fixed by automatically adding -DHAVE_{MODULE}=1 -DCOMPILE_DL_{MODULE}=1 to
      configure

* Sat Mar 10 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5-ipl0.2
- More enhancements in SPEC file:
    + Automatically gather PHP version, so no need to synchronize
      spec file's Version: field when new version of PHP is installed

* Thu Mar 08 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5-ipl0.1
- Created new generalized spec file for nosrc.rpm for PHP modules
- Added ability to tune module installation for Console/Apache-based PHP
  Some modules cannot work in Web-server environment (php_gtk), some --
  in Console mode (midgard), some will be happy in both environments


